Graphics3D 800,600,32,2


plane = CreatePlane()

ptex = LoadTexture("k6.jpg")
EntityTexture plane,ptex

md2solider  = LoadMD2("solider.md2")
md2tex = LoadTexture("solider.pcx")

EntityTexture md2solider,md2tex
AnimateMD2 md2solider,1,0.1
ScaleEntity md2solider,0.2,0.2,0.2
HideEntity md2solider


cx = 40
cz = 25

cnt = cx*cz

Dim ent(cnt)

For i=0 To cx-1
	For j=0 To cz-1
		ind = i*cz + j
		
		ent(ind) = CopyEntity(md2solider)
		
		PositionEntity(ent(ind),i*10,5,j*10)
		
		ShowEntity(ent(ind))
		
		AnimateMD2 ent(ind),1,0.1
	Next
Next

cam = CreateCamera()

PositionEntity cam,-10,80,-30

tbox = CreatePivot()
PositionEntity tbox,cx*1.5,0,cz*1.5
PointEntity cam,tbox

fps = 60

ScaleTexture ptex,32,32

While(Not KeyDown(1))


	ft# = 1000.0 / Float(fps)
	
	If Not KeyDown(42)
		ft = ft * 0.1
	Else
		ft = ft * 0.01
	EndIf
	
	If ft<0.1 Then ft = 0.1
	If ft>10.0 Then ft = 10.0
	
	UpdateWorld(4.0)
	RenderWorld
	
	If MilliSecs()>a+1000
		fps = frame
		frame = 0
		a = MilliSecs()
	EndIf
	
	frame=frame+1
	
	Text(10,10,fps)
	Text(10,25,TrisRendered())
	Flip 0
Wend